package cn.com.capcloud.core.lucene;

import java.util.Map;

public class SearchParam {
    private String keyword;
    private String searchField;//关键字查询的字段 多个字段用逗号隔开
    private int searchType;//0关键词不分词,1关键词分词
    private String tableName;

    private Map<String,Object> filterMap;
    public SearchParam(String keyword, String searchField, int searchType, String tableName) {
        this.keyword = keyword;
        this.searchField = searchField;
        this.searchType = searchType;
        this.tableName = tableName;
    }

    public SearchParam() {

    }

    public String getKeyword() {
        return keyword;
    }

    public void setKeyword(String keyword) {
        this.keyword = keyword;
    }

    public String getSearchField() {
        return searchField;
    }

    public void setSearchField(String searchField) {
        this.searchField = searchField;
    }

    public int getSearchType() {
        return searchType;
    }

    public void setSearchType(int searchType) {
        this.searchType = searchType;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public Map<String, Object> getFilterMap() {
        return filterMap;
    }

    public void setFilterMap(Map<String, Object> filterMap) {
        this.filterMap = filterMap;
    }
}
